import { FoundationTheme } from "..";

export const getAppColor = (
    theme: FoundationTheme.Theme,
    color: keyof FoundationTheme.Colors,
    variant?: string,
) => {
    const { colors } = theme || {};
    if (variant) {
        return colors?.[color]?.[variant] || "";
    }
};

export const getButtonStateColor = (
    theme: FoundationTheme.Theme,
    color: FoundationTheme.PaletteColors = 'primary',
    state: keyof FoundationTheme.ButtonState
) => {
    const { palette } = theme || {};
    return palette?.[color]?.buttonState?.[state] || "";
};

export const getPaletteColor = (
    theme: FoundationTheme.Theme,
    color: FoundationTheme.PaletteColors = 'primary',
    variant?: "main" | "contrastText"
) => {
    const { palette } = theme;
    return palette?.[color]?.[variant || "main"] || "";
};


export const ColorUtils = {
    getButtonStateColor,
    getPaletteColor,
    getAppColor,
};